Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 516528 - Review Request: globus-gram-client-tools - Globus Toolkit - Job Management Tools (globusrun)
Review Request: globus-gram-client-tools - Globus Toolkit - Job Management To...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On: 516519 516527
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-10 07:02 EDT by Mattias Ellert
Modified: 2010-03-11 22:40 EST (History)
3 users (show)

See Also:
Fixed In Version: globus-gram-client-tools-7.3-1.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 11:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steve.traylen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-08-10 07:02:50 EDT
Spec URL: http://www.grid.tsl.uu.se/review/globus-gram-client-tools.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gram-client-tools-5.0-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gram-client-tools package contains:
Job Management Tools (globusrun)

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus
Comment 2 Steve Traylen 2010-02-20 13:29:12 EST
1)
Source:         %{_name}-%{version}.tar.gz
should be 
Source0:         %{_name}-%{version}.tar.gz

mainly just to keep rpmlint happy.
$ rpmlint globus-gram-client-tools.spec 
globus-gram-client-tools.spec: W: invalid-url Source0: globus_gram_client_tools-7.3.tar.gz

Other than that looks trivial to approve.
Comment 3 Mattias Ellert 2010-02-20 16:00:35 EST
New rpmlint version bringing new surprises.

The new rpmlint is not complaining about Source vs. Source0, your suggested "fix" does not resolve the issue rpmlint is complaining about.

I can make the warning go away by creating a dummy URL like:

Source0:	http://dummy.org/%{_name}-%{version}.tar.gz

But this seems to be a really stupid thing to do. The auto QA tests that download the sources and compares them with the ones in the look-aside cache will report errors for this, since the URL does not exist.

To me, this behaviour of the new rpmlint version doesn't make sense. I have submitted a bug report (bug #566978).
Comment 4 Steve Traylen 2010-02-20 16:14:03 EST
I agree, a dummy.org URL makes no sense at all.

I misinterpreted the results. 

bug #566978 is completely valid. I guess what needs to worked on is 
full URL for such a download/extract  -> tar ball.

Will review in the morning.
Steve
Comment 5 Steve Traylen 2010-02-21 10:25:08 EST
This is a standard globus package where .spec has been
generated with scripts.

$ rpmlint rpmbuild/SPECS/globus-gram-client-tools.spec rpmbuild/SRPMS/globus-gram-client-tools-7.3-1.fc13.src.rpm rpmbuild/RPMS/x86_64/globus-gram-client-tools-*rpm
rpmbuild/SPECS/globus-gram-client-tools.spec: W: invalid-url Source0: globus_gram_client_tools-7.3.tar.gz
globus-gram-client-tools.src: W: spelling-error Summary(en_US) globusrun -> globulin, globular, globule
globus-gram-client-tools.src: W: spelling-error %description -l en_US globusrun -> globulin, globular, globule
globus-gram-client-tools.src: W: invalid-url Source0: globus_gram_client_tools-7.3.tar.gz
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

which is all fine.

Upstream matches:

diff --brief -r rpmbuild/SOURCES/globus_gram_client_tools-7.3 \
   globus/gt5.0.0-all-source-installer/source-trees/gram_client_tools/source/

Only in rpmbuild/SOURCES/globus_gram_client_tools-7.3: GLOBUS_LICENSE

which is expected.

APPROVED.

Steve
Comment 6 Mattias Ellert 2010-02-21 17:43:30 EST
Thank you for the review!

New Package CVS Request
=======================
Package Name: globus-gram-client-tools
Short Description: Globus Toolkit - Job Management Tools (globusrun)
Owners: ellert
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC:
Comment 7 Jason Tibbitts 2010-02-22 15:06:31 EST
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-02-22 23:55:33 EST
globus-gram-client-tools-7.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/globus-gram-client-tools-7.3-1.fc13
Comment 9 Fedora Update System 2010-02-22 23:56:30 EST
globus-gram-client-tools-7.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-gram-client-tools-7.3-1.el5
Comment 10 Fedora Update System 2010-02-22 23:56:35 EST
globus-gram-client-tools-7.3-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-gram-client-tools-7.3-1.el4
Comment 11 Fedora Update System 2010-02-22 23:56:39 EST
globus-gram-client-tools-7.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-gram-client-tools-7.3-1.fc12
Comment 12 Fedora Update System 2010-02-22 23:56:45 EST
globus-gram-client-tools-7.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gram-client-tools-7.3-1.fc11
Comment 13 Fedora Update System 2010-02-23 11:04:48 EST
globus-gram-client-tools-7.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-03-03 19:03:54 EST
globus-gram-client-tools-7.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-03-03 19:08:28 EST
globus-gram-client-tools-7.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-03-11 22:39:54 EST
globus-gram-client-tools-7.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-03-11 22:40:35 EST
globus-gram-client-tools-7.3-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.